%define src_ver 6.0-0
%define fname aspell5-%{languagecode}
%define languagelocal english
%define languageeng english
%define languageenglazy American
%define languagecode en
%define lc_ctype en_US

Summary:       English files for aspell
Name:          aspell-%{languagecode}
Version:       6.0
Release:       1mdk
Group:         System/Internationalization
Source:        http://ftp.gnu.org/gnu/aspell/dict/%{languagecode}/%fname-%{src_ver}.tar.bz2
URL:           http://aspell.sourceforge.net/
License:	   SCOWL
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
Provides:	   spell-%{languagecode}
# old ispell is repalced with aspell
Obsoletes:	   ispell-%{languagecode}
Obsoletes:	   ispell-english, iamerica, ibritish, ispell-british

BuildRequires: aspell >= 0.50
BuildRequires: make
Requires:      aspell >= 0.50

# Mandrake Stuff
Requires:      locales-%{languagecode}
Provides:      aspell-dictionary
Obsoletes:	   aspell-en_CA aspell-en_GB
Provides:	   aspell-en_CA aspell-en_GB

Autoreqprov:   no

%description
A English dictionary for use with aspell, a spelling checker.


%prep
%setup -q -n %fname-%{src_ver}

%build

# don't use %%configure macro
./configure

%make

%install
rm -fr $RPM_BUILD_ROOT

%makeinstall_std

chmod 644 README Copyright

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README Copyright
%{_datadir}/aspell/*
%{_libdir}/aspell/*



%changelog
* Tue Aug 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 6.0-1mdk
- new release

* Mon Jul 19 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 0.51.1-1mdk
- updated version

* Fri Jul 18 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 0.51.0-1mdk
- updated version

* Fri Mar 7 2003 Warly <warly@mandrakesoft.com> 0.50.2-3mdk
- recompile with correct build environment

* Fri Mar 7 2003 Warly <warly@mandrakesoft.com> 0.50.2-2mdk
- add tag Provides spell-en

* Tue Oct 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.50.2-1mdk
- First english dictionnary package (based on aspell-fr specfile)

